<?php
//* OKNO EDYTORA
$EDIT_WINDOW= <<<EOT
<!DOCTYPE html>
<html lang="pl">
<head>
  <meta charset="utf-8">
  <title>Edycja wpisu</title>
  <meta name="Generator" content="NPP-Plugin">
  <meta name="Author" content="Jacek Cichon">
  <meta name="Keywords" content="">
  <meta name="Description" content="">
  <link rel="stylesheet" href="../W10/css/simple.css">
<style>
table {
    border-collapse: collapse;
}

table, td, th {
    border: 1px solid black;
}
td, th{
  padding: .5em 1em;
}
.form-row{ margin:.5em;}
</style>
</head>

<body>
<div id="container">
<h1>Edycja</h1>
<form method = "post" action="db03db.php?what=update">
  <div class="form-row">
    <label>NICK:</label>
    <input type= "text" name= "NICK" maxlength="15" required value="{{NICK}}">
  </div>
  <div class="form-row">
    <label>Opis</label>
    <textarea name="INFO" rows="10" cols="60" required>{{INFO}}</textarea>
  </div>
  <div  class="form-row"> 
    <input type="submit" value="Submit">
  </div>
  <input type="hidden" name = "ID" value = "{{ID}}">
</form>

</div>
</body>
</html>
EOT;

//***************************************************************************************
function checkOK($OK){
  if (!$OK) {  
    header("location: db03main.php?" . http_build_query (["comment"=>"Błędne wywołanie operacji bazodanowej"]));
  }
}

require_once(__DIR__ . "/php/myDB.php");
session_start();

$OK = isset($_SESSION[$sessionKEY]) && ($_SESSION[$sessionKEY] === $sessionVAL) && isset($_REQUEST["what"]) && isset($_REQUEST["ID"]);
checkOK($OK);
$what = $_REQUEST["what"];

function updateWpis() {
  $OK = isset($_REQUEST["NICK"]) && isset($_REQUEST["INFO"]);
  checkOK($OK);
  $ID   = (int) $_REQUEST["ID"]; 
  $NICK = substr(trim($_REQUEST["NICK"]),0,15); 
  $INFO = strip_tags(trim($_REQUEST["INFO"]),"<p><strong>");

  $db = new portaldb();
  $polecenie = $db->prepare("update wpisy set NICK = ?, Info = ? where ID = ?");
  $polecenie->bind_param("ssi", $NICK, $INFO, $ID);
  $polecenie->execute();

  $polecenie->close();
  $db->close();
}

function deleteWpis () {
  $ID = (int) $_REQUEST["ID"]; 
  $db = new portaldb();
  $polecenie = $db->prepare("delete from wpisy where ID = ?");
  $polecenie->bind_param("i", $ID);
  $polecenie->execute();
  $polecenie->close();
  $db->close();
}

function edytujWpis() {
  global $EDIT_WINDOW;

  $ID = (int) $_REQUEST["ID"];
  $db = new portaldb();

  $polecenie = $db->prepare("select * from wpisy where ID = ?");
  $polecenie->bind_param("i", $ID);
  $polecenie->execute();
  $result = $polecenie->get_result();
  if($result->num_rows === 0) exit('No rows');

  $row   = $result->fetch_assoc();
  $NICK  = $row['NICK'];
  $INFO  = $row['Info'];
  $polecenie->close();
  $db->close();
  
  $html = str_replace(["{{ID}}", "{{NICK}}", "{{INFO}}"],[$ID, $NICK, $INFO], $EDIT_WINDOW);
  echo $html;
}

$info ="";
switch($what){
  case "update" : updateWpis(); $info=http_build_query (["comment"=>"Rekord został zapisany"]); header("location: db03main.php?" . $info); break;
  case "delete" : deleteWpis(); $info=http_build_query (["comment"=>"Rekord został usunięty"]); header("location: db03main.php?" . $info); break;
  case "edit"   : edytujWpis(); break;
  default: ;
}

?>
